package com.jiuqi.mde;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jiuqi.mde.MDEDimension;
import com.jiuqi.util.JqLib;

class OrderDimension extends MDEDimension {
  public String getSQLFilter(String tablePrefix, Object dimValue) {
    return getSQLFilter(tablePrefix, dimValue, false);
  }
  
  public String getSQLFilter(String tablePrefix, Object dimValue, boolean isPrepared) {
    if (dimValue == null)
      return ""; 
    StringBuffer filter = new StringBuffer(64);
    filter.append('(');
    if (tablePrefix != null)
      filter.append(tablePrefix); 
    filter.append(this.fieldName);
    if (isPrepared) {
      filter.append("=?)");
    } else {
      filter.append("='");
      filter.append(JqLib.makeHexString(((Integer)dimValue).intValue()));
      filter.append("')");
    } 
    return filter.toString();
  }
}
